import ColorScheme from 'color-scheme';
import Color from 'color';

export const get_colours = (basis) => {
	const basis_c = Color(basis);
	const hsl = basis_c.hsl();
	const scheme = new ColorScheme;
	scheme.from_hue(hsl['color'][0]).scheme("tetrade").variation("hard").distance(0.5);
	const colours = scheme.colors().map((cs) => parseInt('0x' + cs));
	const set = colours.slice(1, 9);
	set.reverse();
	set.unshift(basis);
	return set;
}

// basic colours where 0 = blue
// 1 - dark blue
// 2 - white
// 3 - light cyan
// 4 - light orange
// 5 - dark orange

export const get_plain_colours = (basis) => {
	return [
		basis,
		0xffffff,
		0x00ff00,
		0xff0000,
		0x0000ff,
		0xff9900,
		0x000000,
		]
}